https://bugs.gentoo.org/948204
https://github.com/boostorg/container/issues/292
https://github.com/boostorg/move/issues/59
https://github.com/boostorg/move/commit/5f073f8f00ee23b4502c0ad30a3aa2a5154cd1e8
https://github.com/boostorg/move/commit/e9ff3ca0952e680871145f454925614d950cef4d

From 5f073f8f00ee23b4502c0ad30a3aa2a5154cd1e8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ion=20Gazta=C3=B1aga?= <igaztanaga@gmail.com>
Date: Fri, 28 Feb 2025 17:22:47 +0100
Subject: [PATCH] FIxes #59 ("std_ns_begin.hpp: missing definition of
 BOOST_MOVE_STD_NS_BEG")

---
 include/boost/move/detail/std_ns_begin.hpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/include/boost/move/detail/std_ns_begin.hpp b/include/boost/move/detail/std_ns_begin.hpp
index de13cde..90169c4 100644
--- a/boost/move/detail/std_ns_begin.hpp
+++ b/boost/move/detail/std_ns_begin.hpp
@@ -9,6 +9,7 @@
 #//
 #//////////////////////////////////////////////////////////////////////////////
 #
+#include <boost/config.hpp>
 #if defined(_LIBCPP_VERSION)
    #if defined(__clang__)
       #define BOOST_MOVE_STD_NS_GCC_DIAGNOSTIC_PUSH
@@ -26,6 +27,9 @@
 #elif defined(BOOST_DINKUMWARE_STDLIB)
    #define BOOST_MOVE_STD_NS_BEG _STD_BEGIN
    #define BOOST_MOVE_STD_NS_END _STD_END
+#else
+   #define BOOST_MOVE_STD_NS_BEG namespace std{
+   #define BOOST_MOVE_STD_NS_END
 #endif
 
 #if defined(_MSC_VER) && (_MSC_VER >= 1915)

From e9ff3ca0952e680871145f454925614d950cef4d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ion=20Gazta=C3=B1aga?= <igaztanaga@gmail.com>
Date: Fri, 28 Feb 2025 19:32:21 +0100
Subject: [PATCH] Fix #59 again (missing BOOST_MOVE_STD_NS_END closing brace)

---
 include/boost/move/detail/std_ns_begin.hpp | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/include/boost/move/detail/std_ns_begin.hpp b/include/boost/move/detail/std_ns_begin.hpp
index 90169c4..ef9b4b4 100644
--- a/boost/move/detail/std_ns_begin.hpp
+++ b/boost/move/detail/std_ns_begin.hpp
@@ -9,7 +9,9 @@
 #//
 #//////////////////////////////////////////////////////////////////////////////
 #
-#include <boost/config.hpp>
+#ifndef BOOST_CONFIG_HPP
+#  include <boost/config.hpp>
+#endif
 #if defined(_LIBCPP_VERSION)
    #if defined(__clang__)
       #define BOOST_MOVE_STD_NS_GCC_DIAGNOSTIC_PUSH
@@ -28,8 +30,8 @@
    #define BOOST_MOVE_STD_NS_BEG _STD_BEGIN
    #define BOOST_MOVE_STD_NS_END _STD_END
 #else
-   #define BOOST_MOVE_STD_NS_BEG namespace std{
-   #define BOOST_MOVE_STD_NS_END
+   #define BOOST_MOVE_STD_NS_BEG namespace std {
+   #define BOOST_MOVE_STD_NS_END }
 #endif
 
 #if defined(_MSC_VER) && (_MSC_VER >= 1915)
